package com.iformall.service;

import com.github.pagehelper.PageInfo;
import com.iformall.domain.po.MallPermission;
import com.iformall.domain.po.MallUserInfo;

import java.util.List;

public interface MallPermissionService {

    /**
     * 获取子菜单
     * @param parentId
     * @param menuIdList
     * @return
     */
    List<MallPermission> queryListParentId(Long parentId, List<Long> menuIdList, boolean boolNav);


    /**
     *
     * @param parentId
     * @return
     */
    List<MallPermission> queryListParentId(Long parentId);


    /**
     * 所有菜单
     */
    List<Long> queryAdminMenuList(MallUserInfo userInfo);

    /**
     * 用户菜单
     * @param userInfo
     * @return
     */
    List<MallPermission> getUserMenuList(MallUserInfo userInfo, Long parentId, boolean boolNav);

    /**
     * 用户菜单ID List
     * @param userInfo
     * @return
     */
    List<Long> queryUserMenuIds(MallUserInfo userInfo, Long parentId, boolean boolNav);

	/**
     * 根据实体查询分页列表
     *
     * @param record
     * @param pageIndex
     * @param pageSize
     * @return
     */
	PageInfo<MallPermission> listAsPage(MallPermission record, Integer pageIndex, Integer pageSize);

    /**
     * 根据实体查询分页列表
     *
     * @param record
     * @return
     */
    List<MallPermission> getList(MallPermission record);

	/**
     * 根据Id获得实体
     *
     * @param id
     * @return
     */
    MallPermission getById(Long id);

    /**
     * 根据parentId获得列表
     *
     * @param parentId
     * @return
     */
    List<MallPermission> getByParentId(Long parentId);
    
        /**
     * 保存或更新实体
     *
     * @param record
     */
    void saveOrUpdate(MallPermission record);

    /**
     * 根据Id删除实体
     *
     * @param id
     */
    void deleteById(Long id);
	
}
